/*
 * Copyright 2007-2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ix.houseware.category.dao;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import ix.houseware.category.web.bean.Address;
import ix.houseware.category.web.bean.Person;
//import org.springframework.stereotype.Repository;
//import org.springframework.transaction.annotation.Propagation;
//import org.springframework.transaction.annotation.Transactional;


public class PersonDaoImpl implements PersonDao {
    /**
     * Find persons.
     */
    public Person findPersonById(Integer id) {
//        return em.find(Person.class, id);
        return new Person();
    }

    /**
     * Find persons using a start index and max number of results.
     */
    @SuppressWarnings("unchecked")
    public Collection<Person> findPersons(final int startIndex, final int maxResults) {
//        return em.createQuery("select p from Person p order by p.lastName, p.firstName")
//            .setFirstResult(startIndex).setMaxResults(maxResults).getResultList();
         List<Person> list = new ArrayList<Person>();
         return list;
    }

    /**
     * Find persons.
     */
    @SuppressWarnings("unchecked")
    public Collection<Person> findPersons() {
//        return em.createQuery("select p from Person p order by p.lastName, p.firstName").getResultList();
        List<Person> list = new ArrayList<Person>();
         return list;
    }

    /**
     * Find persons by last name.
     */
    @SuppressWarnings("unchecked")
    public Collection<Person> findPersonsByLastName(String lastName) {
//        return em.createQuery("select p from Person p where p.lastName = :lastName order by p.lastName, p.firstName")
//            .setParameter("lastName", lastName).getResultList();
        List<Person> list = new ArrayList<Person>();
         return list;
    }

    /**
     * Saves person.
     */
//    @Transactional(readOnly = false, propagation = Propagation.REQUIRES_NEW)
    public Person save(Person person) {
//        return em.merge(person);
        return new Person();
    }

    /**
     * Deletes person.
     */
//    @Transactional(readOnly = false, propagation = Propagation.REQUIRES_NEW)
    public void delete(Person person) {
//        em.remove(em.merge(person));
    }

    /**
     * Saves address to person.
     */
//    @Transactional(readOnly = false, propagation = Propagation.REQUIRES_NEW)
    public Person saveAddress(Integer id, Address address) {
        Person person = findPersonById(id);

        if (person.getAddresses().contains(address)) {
            person.getAddresses().remove(address);
        }

        person.getAddresses().add(address);        

        return save(person);
    }

    /**
     * Deletes address from person.
     */
//    @Transactional(readOnly = false, propagation = Propagation.REQUIRES_NEW)
    public Person deleteAddress(Integer id, Integer addressId) {
        Person person = findPersonById(id);

        Address address = new Address();
        address.setId(addressId);

        if (person.getAddresses().contains(address)) {
            for (Address a : person.getAddresses()) {
                if (a.getId().equals(addressId)) {
//                    em.remove(a);
                    person.getAddresses().remove(address);
                    
                    break;
                }
            }
        }

        return person;
    }

}
